{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Strait","colors":{"primary":"#FF4F00","light":"#FF4F00","dark":"#FF4F00"},"logo":{"light":"https://mintcdn.com/strait/9BB686nQtWymcT9B/logo/light.svg?fit=max\u0026auto=format\u0026n=9BB686nQtWymcT9B\u0026q=85\u0026s=8efe0965d2243d8f2ac407dfa472cdc7","dark":"https://mintcdn.com/strait/9BB686nQtWymcT9B/logo/dark.svg?fit=max\u0026auto=format\u0026n=9BB686nQtWymcT9B\u0026q=85\u0026s=5dc202770ec73dc6ce8423aa30990aa0","href":"https://strait.dev"},"favicon":"/favicon.svg","api":{"playground":{}},"appearance":{"default":"dark"},"navbar":{"links":[{"href":"https://strait.dev","label":"Website"},{"href":"https://app.strait.dev","label":"Dashboard"}]},"footer":{"socials":{"github":"https://github.com/leonardomso/strait","x":"https://twitter.com/leonardomso","linkedin":"https://linkedin.com/company/strait"}},"search":{},"seo":{},"metadata":{"timestamp":false},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"strait","hasAudioNarration":false,"actualSubdomain":"strait","customDomains":["docs.strait.dev"],"gitSource":{"type":"github","owner":"strait-dev","repo":"strait","deployBranch":"master","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21dc33271fd09fad7d6869","collectionId":"84f4adef-4f74-4e15-9b8d-1a4bc59af676","schemaVersion":"v2"},"entitlements":{},"buildId":"6a4bee859407fe2e61e7504c:failure","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"API Reference","count":282},{"language":"default","tag":"Endpoints","count":281},{"language":"default","tag":"Documentation","count":57},{"language":"default","tag":"Analytics","count":32},{"language":"default","tag":"Runs","count":29},{"language":"default","tag":"SDK","count":26},{"language":"default","tag":"Billing","count":21},{"language":"default","tag":"Jobs","count":19},{"language":"default","tag":"Guides","count":18},{"language":"default","tag":"Workflows","count":18}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/jobs/batch-create-jobs","slug":"/api-reference/jobs/batch-create-jobs","pageMetadata":{"title":"Batch create jobs","description":"Creates multiple jobs in a single request.","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/batch","href":"/api-reference/jobs/batch-create-jobs","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates multiple jobs in a single request.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Batch create jobs","description":"Creates multiple jobs in a single request.","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/batch","href":"/api-reference/jobs/batch-create-jobs","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Creates multiple jobs in a single request.","operationId":"batch-create-jobs","requestBody":"8379e7ce-1f36-4145-8741-b22b0f97b796","responses":{"200":"f00260ca-c174-4b2f-b72a-9ff24bccaadf","400":"8bb96771-942e-42d0-be39-492edd52d715","401":"e3e4650a-fccf-4a93-b6db-f9f501a5b80c","409":"2c98ad21-3061-4c1c-9b1d-e3768c16d088","422":"b8fcef32-b878-46d2-b89a-1f078193ee78","429":"aeeb9e08-9026-41ea-8528-9facb9c0fb1a","500":"431c8eba-6642-4ed3-9ae2-19e221094111"},"security":["d7046ac2-8f46-48e3-9be4-9460235bfb40"],"summary":"Batch create jobs","tags":["Jobs"],"method":"post","type":"path","servers":["07f0bcb5-7edf-4c9f-90ba-917c1e7bbe5e"],"path":"/v1/jobs/batch","baseUrlOptions":["https://api.strait.dev"],"title":"Batch create jobs","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"jobs":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"endpoint_url":{"type":"string","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].endpoint_url","typeLabel":"string"},"max_attempts":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].max_attempts","typeLabel":"integer\u003cint64>"},"name":{"type":"string","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].name","typeLabel":"string"},"project_id":{"type":"string","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].project_id","typeLabel":"string"},"slug":{"type":"string","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].slug","typeLabel":"string"},"timeout_secs":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"jobs.oneOf.0.items.[INDEX].timeout_secs","typeLabel":"integer\u003cint64>"},"batch_max_size":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].batch_max_size","typeLabel":"integer\u003cint64>"},"batch_window_secs":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].batch_window_secs","typeLabel":"integer\u003cint64>"},"cron":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].cron","typeLabel":"string"},"cron_overlap_policy":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].cron_overlap_policy","typeLabel":"string"},"debounce_window_secs":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].debounce_window_secs","typeLabel":"integer\u003cint64>"},"dedup_window_secs":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].dedup_window_secs","typeLabel":"integer\u003cint64>"},"default_run_metadata":{"additionalProperties":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].default_run_metadata.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"jobs.oneOf.0.items.[INDEX].default_run_metadata","typeLabel":"object"},"description":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].description","typeLabel":"string"},"environment_id":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].environment_id","typeLabel":"string"},"execution_mode":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].execution_mode","typeLabel":"string"},"execution_window_cron":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].execution_window_cron","typeLabel":"string"},"fallback_endpoint_url":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].fallback_endpoint_url","typeLabel":"string"},"group_id":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].group_id","typeLabel":"string"},"image_uri":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].image_uri","typeLabel":"string"},"machine_preset":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].machine_preset","typeLabel":"string"},"max_concurrency":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].max_concurrency","typeLabel":"integer\u003cint64>"},"max_concurrency_per_key":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].max_concurrency_per_key","typeLabel":"integer\u003cint64>"},"on_complete_payload_mapping":{"oneOf":[{}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].on_complete_payload_mapping","typeLabel":"any"},"on_complete_trigger_job":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].on_complete_trigger_job","typeLabel":"string"},"on_complete_trigger_workflow":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].on_complete_trigger_workflow","typeLabel":"string"},"on_failure_payload_mapping":{"oneOf":[{}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].on_failure_payload_mapping","typeLabel":"any"},"on_failure_trigger_job":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].on_failure_trigger_job","typeLabel":"string"},"on_failure_trigger_workflow":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].on_failure_trigger_workflow","typeLabel":"string"},"payload_schema":{"oneOf":[{}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].payload_schema","typeLabel":"any"},"poison_pill_threshold":{"description":"Consecutive identical errors before auto-quarantine to DLQ. NULL or 0 disables.","format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].poison_pill_threshold","typeLabel":"integer\u003cint64>"},"preferred_regions":{"oneOf":[{"items":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].preferred_regions.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"jobs.oneOf.0.items.[INDEX].preferred_regions.oneOf.0","typeLabel":"string[]"},{"items":{"type":"string"},"type":"null","uniqueKey":"jobs.oneOf.0.items.[INDEX].preferred_regions.oneOf.1","typeLabel":"null"}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].preferred_regions","typeLabel":"string[] | null"},"rate_limit_max":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].rate_limit_max","typeLabel":"integer\u003cint64>"},"rate_limit_window_secs":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].rate_limit_window_secs","typeLabel":"integer\u003cint64>"},"region":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].region","typeLabel":"string"},"result_schema":{"oneOf":[{}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].result_schema","typeLabel":"any"},"retry_delays_secs":{"oneOf":[{"items":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"items":{"format":"int64","type":"integer"},"type":"null","uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.1","typeLabel":"null"}],"uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_delays_secs","typeLabel":"integer\u003cint64>[] | null"},"retry_priority_boost":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_priority_boost","typeLabel":"integer\u003cint64>"},"retry_strategy":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].retry_strategy","typeLabel":"string"},"run_ttl_secs":{"format":"int64","type":"integer","uniqueKey":"jobs.oneOf.0.items.[INDEX].run_ttl_secs","typeLabel":"integer\u003cint64>"},"tags":{"additionalProperties":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].tags.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"jobs.oneOf.0.items.[INDEX].tags","typeLabel":"object"},"timezone":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].timezone","typeLabel":"string"},"version_policy":{"type":"string","uniqueKey":"jobs.oneOf.0.items.[INDEX].version_policy","typeLabel":"string"}},"required":["project_id","name","slug","endpoint_url","max_attempts","timeout_secs"],"type":"object","uniqueKey":"jobs.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"jobs.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"batch_max_size":{"format":"int64","type":"integer"},"batch_window_secs":{"format":"int64","type":"integer"},"cron":{"type":"string"},"cron_overlap_policy":{"type":"string"},"debounce_window_secs":{"format":"int64","type":"integer"},"dedup_window_secs":{"format":"int64","type":"integer"},"default_run_metadata":{"additionalProperties":{"type":"string"},"type":"object"},"description":{"type":"string"},"endpoint_url":{"type":"string"},"environment_id":{"type":"string"},"execution_mode":{"type":"string"},"execution_window_cron":{"type":"string"},"fallback_endpoint_url":{"type":"string"},"group_id":{"type":"string"},"image_uri":{"type":"string"},"machine_preset":{"type":"string"},"max_attempts":{"format":"int64","type":"integer"},"max_concurrency":{"format":"int64","type":"integer"},"max_concurrency_per_key":{"format":"int64","type":"integer"},"name":{"type":"string"},"on_complete_payload_mapping":{"oneOf":[{}]},"on_complete_trigger_job":{"type":"string"},"on_complete_trigger_workflow":{"type":"string"},"on_failure_payload_mapping":{"oneOf":[{}]},"on_failure_trigger_job":{"type":"string"},"on_failure_trigger_workflow":{"type":"string"},"payload_schema":{"oneOf":[{}]},"poison_pill_threshold":{"description":"Consecutive identical errors before auto-quarantine to DLQ. NULL or 0 disables.","format":"int64","type":"integer"},"preferred_regions":{"oneOf":[{"items":{"type":"string"},"type":"array"},{"items":{"type":"string"},"type":"null"}]},"project_id":{"type":"string"},"rate_limit_max":{"format":"int64","type":"integer"},"rate_limit_window_secs":{"format":"int64","type":"integer"},"region":{"type":"string"},"result_schema":{"oneOf":[{}]},"retry_delays_secs":{"oneOf":[{"items":{"format":"int64","type":"integer"},"type":"array"},{"items":{"format":"int64","type":"integer"},"type":"null"}]},"retry_priority_boost":{"format":"int64","type":"integer"},"retry_strategy":{"type":"string"},"run_ttl_secs":{"format":"int64","type":"integer"},"slug":{"type":"string"},"tags":{"additionalProperties":{"type":"string"},"type":"object"},"timeout_secs":{"format":"int64","type":"integer"},"timezone":{"type":"string"},"version_policy":{"type":"string"}},"required":["project_id","name","slug","endpoint_url","max_attempts","timeout_secs"],"type":"object"},"type":"null","isRequired":true,"uniqueKey":"jobs.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"jobs","typeLabel":"object[] | null"}},"required":["jobs"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"jobs":[{"endpoint_url":"\u003cstring>","max_attempts":123,"name":"\u003cstring>","project_id":"\u003cstring>","slug":"\u003cstring>","timeout_secs":123,"batch_max_size":123,"batch_window_secs":123,"cron":"\u003cstring>","cron_overlap_policy":"\u003cstring>","debounce_window_secs":123,"dedup_window_secs":123,"default_run_metadata":{},"description":"\u003cstring>","environment_id":"\u003cstring>","execution_mode":"\u003cstring>","execution_window_cron":"\u003cstring>","fallback_endpoint_url":"\u003cstring>","group_id":"\u003cstring>","image_uri":"\u003cstring>","machine_preset":"\u003cstring>","max_concurrency":123,"max_concurrency_per_key":123,"on_complete_payload_mapping":"\u003cunknown>","on_complete_trigger_job":"\u003cstring>","on_complete_trigger_workflow":"\u003cstring>","on_failure_payload_mapping":"\u003cunknown>","on_failure_trigger_job":"\u003cstring>","on_failure_trigger_workflow":"\u003cstring>","payload_schema":"\u003cunknown>","poison_pill_threshold":123,"preferred_regions":["\u003cstring>"],"rate_limit_max":123,"rate_limit_window_secs":123,"region":"\u003cstring>","result_schema":"\u003cunknown>","retry_delays_secs":[123],"retry_priority_boost":123,"retry_strategy":"\u003cstring>","run_ttl_secs":123,"tags":{},"timezone":"\u003cstring>","version_policy":"\u003cstring>"}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"f00260ca-c174-4b2f-b72a-9ff24bccaadf":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"created":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"created_at":{"format":"date-time","type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"enabled":{"type":"boolean","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].enabled","typeLabel":"boolean"},"endpoint_url":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].endpoint_url","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].id","typeLabel":"string"},"max_attempts":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].max_attempts","typeLabel":"integer\u003cint64>"},"name":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].name","typeLabel":"string"},"paused":{"type":"boolean","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].paused","typeLabel":"boolean"},"project_id":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].project_id","typeLabel":"string"},"slug":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].slug","typeLabel":"string"},"timeout_secs":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].timeout_secs","typeLabel":"integer\u003cint64>"},"updated_at":{"format":"date-time","type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"version":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].version","typeLabel":"integer\u003cint64>"},"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/Job.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].$schema","typeLabel":"string\u003curi>"},"allowed_tools":{"oneOf":[{"items":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].allowed_tools.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"created.oneOf.0.items.[INDEX].allowed_tools.oneOf.0","typeLabel":"string[]"},{"items":{"type":"string"},"type":"null","uniqueKey":"created.oneOf.0.items.[INDEX].allowed_tools.oneOf.1","typeLabel":"null"}],"uniqueKey":"created.oneOf.0.items.[INDEX].allowed_tools","typeLabel":"string[] | null"},"backwards_compatible":{"type":"boolean","uniqueKey":"created.oneOf.0.items.[INDEX].backwards_compatible","typeLabel":"boolean"},"batch_max_size":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].batch_max_size","typeLabel":"integer\u003cint64>"},"batch_window_secs":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].batch_window_secs","typeLabel":"integer\u003cint64>"},"blocked_tools":{"oneOf":[{"items":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].blocked_tools.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"created.oneOf.0.items.[INDEX].blocked_tools.oneOf.0","typeLabel":"string[]"},{"items":{"type":"string"},"type":"null","uniqueKey":"created.oneOf.0.items.[INDEX].blocked_tools.oneOf.1","typeLabel":"null"}],"uniqueKey":"created.oneOf.0.items.[INDEX].blocked_tools","typeLabel":"string[] | null"},"created_by":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].created_by","typeLabel":"string"},"cron":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].cron","typeLabel":"string"},"cron_overlap_policy":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].cron_overlap_policy","typeLabel":"string"},"debounce_window_secs":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].debounce_window_secs","typeLabel":"integer\u003cint64>"},"dedup_window_secs":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].dedup_window_secs","typeLabel":"integer\u003cint64>"},"default_run_metadata":{"additionalProperties":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].default_run_metadata.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"created.oneOf.0.items.[INDEX].default_run_metadata","typeLabel":"object"},"description":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].description","typeLabel":"string"},"dlq_alert_threshold":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].dlq_alert_threshold","typeLabel":"integer\u003cint64>"},"environment_id":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].environment_id","typeLabel":"string"},"execution_mode":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].execution_mode","typeLabel":"string"},"execution_window_cron":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].execution_window_cron","typeLabel":"string"},"fallback_endpoint_url":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].fallback_endpoint_url","typeLabel":"string"},"group_id":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].group_id","typeLabel":"string"},"image_uri":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].image_uri","typeLabel":"string"},"machine_preset":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].machine_preset","typeLabel":"string"},"max_concurrency":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].max_concurrency","typeLabel":"integer\u003cint64>"},"max_concurrency_per_key":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].max_concurrency_per_key","typeLabel":"integer\u003cint64>"},"max_iterations_per_run":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].max_iterations_per_run","typeLabel":"integer\u003cint64>"},"max_tokens_per_run":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].max_tokens_per_run","typeLabel":"integer\u003cint64>"},"max_tool_calls_per_run":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].max_tool_calls_per_run","typeLabel":"integer\u003cint64>"},"on_complete_payload_mapping":{"oneOf":[{}],"uniqueKey":"created.oneOf.0.items.[INDEX].on_complete_payload_mapping","typeLabel":"any"},"on_complete_trigger_job":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].on_complete_trigger_job","typeLabel":"string"},"on_complete_trigger_workflow":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].on_complete_trigger_workflow","typeLabel":"string"},"on_failure_payload_mapping":{"oneOf":[{}],"uniqueKey":"created.oneOf.0.items.[INDEX].on_failure_payload_mapping","typeLabel":"any"},"on_failure_trigger_job":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].on_failure_trigger_job","typeLabel":"string"},"on_failure_trigger_workflow":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].on_failure_trigger_workflow","typeLabel":"string"},"pause_reason":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].pause_reason","typeLabel":"string"},"paused_at":{"format":"date-time","type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].paused_at","typeLabel":"string\u003cdate-time>"},"payload_schema":{"oneOf":[{}],"uniqueKey":"created.oneOf.0.items.[INDEX].payload_schema","typeLabel":"any"},"poison_pill_threshold":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].poison_pill_threshold","typeLabel":"integer\u003cint64>"},"preferred_regions":{"oneOf":[{"items":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].preferred_regions.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"created.oneOf.0.items.[INDEX].preferred_regions.oneOf.0","typeLabel":"string[]"},{"items":{"type":"string"},"type":"null","uniqueKey":"created.oneOf.0.items.[INDEX].preferred_regions.oneOf.1","typeLabel":"null"}],"uniqueKey":"created.oneOf.0.items.[INDEX].preferred_regions","typeLabel":"string[] | null"},"queue_depth_alert_threshold":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].queue_depth_alert_threshold","typeLabel":"integer\u003cint64>"},"rate_limit_keys":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"max":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.0.items.[INDEX].max","typeLabel":"integer\u003cint64>"},"name":{"type":"string","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.0.items.[INDEX].name","typeLabel":"string"},"window_secs":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.0.items.[INDEX].window_secs","typeLabel":"integer\u003cint64>"}},"required":["name","max","window_secs"],"type":"object","uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"max":{"format":"int64","type":"integer"},"name":{"type":"string"},"window_secs":{"format":"int64","type":"integer"}},"required":["name","max","window_secs"],"type":"object"},"type":"null","uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys.oneOf.1","typeLabel":"null"}],"uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_keys","typeLabel":"object[] | null"},"rate_limit_max":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_max","typeLabel":"integer\u003cint64>"},"rate_limit_window_secs":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].rate_limit_window_secs","typeLabel":"integer\u003cint64>"},"region":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].region","typeLabel":"string"},"result_schema":{"oneOf":[{}],"uniqueKey":"created.oneOf.0.items.[INDEX].result_schema","typeLabel":"any"},"retry_delays_secs":{"oneOf":[{"items":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"created.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"items":{"format":"int64","type":"integer"},"type":"null","uniqueKey":"created.oneOf.0.items.[INDEX].retry_delays_secs.oneOf.1","typeLabel":"null"}],"uniqueKey":"created.oneOf.0.items.[INDEX].retry_delays_secs","typeLabel":"integer\u003cint64>[] | null"},"retry_priority_boost":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].retry_priority_boost","typeLabel":"integer\u003cint64>"},"retry_strategy":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].retry_strategy","typeLabel":"string"},"run_ttl_secs":{"format":"int64","type":"integer","uniqueKey":"created.oneOf.0.items.[INDEX].run_ttl_secs","typeLabel":"integer\u003cint64>"},"tags":{"additionalProperties":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].tags.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"created.oneOf.0.items.[INDEX].tags","typeLabel":"object"},"timezone":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].timezone","typeLabel":"string"},"updated_by":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].updated_by","typeLabel":"string"},"version_id":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].version_id","typeLabel":"string"},"version_policy":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].version_policy","typeLabel":"string"},"webhook_url":{"type":"string","uniqueKey":"created.oneOf.0.items.[INDEX].webhook_url","typeLabel":"string"}},"required":["id","project_id","name","slug","endpoint_url","max_attempts","timeout_secs","enabled","paused","version","created_at","updated_at"],"type":"object","uniqueKey":"created.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"created.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/Job.json"],"format":"uri","readOnly":true,"type":"string"},"allowed_tools":{"oneOf":[{"items":{"type":"string"},"type":"array"},{"items":{"type":"string"},"type":"null"}]},"backwards_compatible":{"type":"boolean"},"batch_max_size":{"format":"int64","type":"integer"},"batch_window_secs":{"format":"int64","type":"integer"},"blocked_tools":{"oneOf":[{"items":{"type":"string"},"type":"array"},{"items":{"type":"string"},"type":"null"}]},"created_at":{"format":"date-time","type":"string"},"created_by":{"type":"string"},"cron":{"type":"string"},"cron_overlap_policy":{"type":"string"},"debounce_window_secs":{"format":"int64","type":"integer"},"dedup_window_secs":{"format":"int64","type":"integer"},"default_run_metadata":{"additionalProperties":{"type":"string"},"type":"object"},"description":{"type":"string"},"dlq_alert_threshold":{"format":"int64","type":"integer"},"enabled":{"type":"boolean"},"endpoint_url":{"type":"string"},"environment_id":{"type":"string"},"execution_mode":{"type":"string"},"execution_window_cron":{"type":"string"},"fallback_endpoint_url":{"type":"string"},"group_id":{"type":"string"},"id":{"type":"string"},"image_uri":{"type":"string"},"machine_preset":{"type":"string"},"max_attempts":{"format":"int64","type":"integer"},"max_concurrency":{"format":"int64","type":"integer"},"max_concurrency_per_key":{"format":"int64","type":"integer"},"max_iterations_per_run":{"format":"int64","type":"integer"},"max_tokens_per_run":{"format":"int64","type":"integer"},"max_tool_calls_per_run":{"format":"int64","type":"integer"},"name":{"type":"string"},"on_complete_payload_mapping":{"oneOf":[{}]},"on_complete_trigger_job":{"type":"string"},"on_complete_trigger_workflow":{"type":"string"},"on_failure_payload_mapping":{"oneOf":[{}]},"on_failure_trigger_job":{"type":"string"},"on_failure_trigger_workflow":{"type":"string"},"pause_reason":{"type":"string"},"paused":{"type":"boolean"},"paused_at":{"format":"date-time","type":"string"},"payload_schema":{"oneOf":[{}]},"poison_pill_threshold":{"format":"int64","type":"integer"},"preferred_regions":{"oneOf":[{"items":{"type":"string"},"type":"array"},{"items":{"type":"string"},"type":"null"}]},"project_id":{"type":"string"},"queue_depth_alert_threshold":{"format":"int64","type":"integer"},"rate_limit_keys":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"max":{"format":"int64","type":"integer"},"name":{"type":"string"},"window_secs":{"format":"int64","type":"integer"}},"required":["name","max","window_secs"],"type":"object"},"type":"array"},{"items":{"additionalProperties":false,"properties":{"max":{"format":"int64","type":"integer"},"name":{"type":"string"},"window_secs":{"format":"int64","type":"integer"}},"required":["name","max","window_secs"],"type":"object"},"type":"null"}]},"rate_limit_max":{"format":"int64","type":"integer"},"rate_limit_window_secs":{"format":"int64","type":"integer"},"region":{"type":"string"},"result_schema":{"oneOf":[{}]},"retry_delays_secs":{"oneOf":[{"items":{"format":"int64","type":"integer"},"type":"array"},{"items":{"format":"int64","type":"integer"},"type":"null"}]},"retry_priority_boost":{"format":"int64","type":"integer"},"retry_strategy":{"type":"string"},"run_ttl_secs":{"format":"int64","type":"integer"},"slug":{"type":"string"},"tags":{"additionalProperties":{"type":"string"},"type":"object"},"timeout_secs":{"format":"int64","type":"integer"},"timezone":{"type":"string"},"updated_at":{"format":"date-time","type":"string"},"updated_by":{"type":"string"},"version":{"format":"int64","type":"integer"},"version_id":{"type":"string"},"version_policy":{"type":"string"},"webhook_url":{"type":"string"}},"required":["id","project_id","name","slug","endpoint_url","max_attempts","timeout_secs","enabled","paused","version","created_at","updated_at"],"type":"object"},"type":"null","isRequired":true,"uniqueKey":"created.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"created","typeLabel":"object[] | null"},"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/BatchCreateJobsResponse.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"errors":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"index":{"format":"int64","type":"integer","isRequired":true,"uniqueKey":"errors.oneOf.0.items.[INDEX].index","typeLabel":"integer\u003cint64>"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"required":["index","message"],"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"index":{"format":"int64","type":"integer"},"message":{"type":"string"}},"required":["index","message"],"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"}},"required":["created"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"created":[{"created_at":"2023-11-07T05:31:56Z","enabled":true,"endpoint_url":"\u003cstring>","id":"\u003cstring>","max_attempts":123,"name":"\u003cstring>","paused":true,"project_id":"\u003cstring>","slug":"\u003cstring>","timeout_secs":123,"updated_at":"2023-11-07T05:31:56Z","version":123,"$schema":"https://api.strait.dev/schemas/Job.json","allowed_tools":["\u003cstring>"],"backwards_compatible":true,"batch_max_size":123,"batch_window_secs":123,"blocked_tools":["\u003cstring>"],"created_by":"\u003cstring>","cron":"\u003cstring>","cron_overlap_policy":"\u003cstring>","debounce_window_secs":123,"dedup_window_secs":123,"default_run_metadata":{},"description":"\u003cstring>","dlq_alert_threshold":123,"environment_id":"\u003cstring>","execution_mode":"\u003cstring>","execution_window_cron":"\u003cstring>","fallback_endpoint_url":"\u003cstring>","group_id":"\u003cstring>","image_uri":"\u003cstring>","machine_preset":"\u003cstring>","max_concurrency":123,"max_concurrency_per_key":123,"max_iterations_per_run":123,"max_tokens_per_run":123,"max_tool_calls_per_run":123,"on_complete_payload_mapping":"\u003cunknown>","on_complete_trigger_job":"\u003cstring>","on_complete_trigger_workflow":"\u003cstring>","on_failure_payload_mapping":"\u003cunknown>","on_failure_trigger_job":"\u003cstring>","on_failure_trigger_workflow":"\u003cstring>","pause_reason":"\u003cstring>","paused_at":"2023-11-07T05:31:56Z","payload_schema":"\u003cunknown>","poison_pill_threshold":123,"preferred_regions":["\u003cstring>"],"queue_depth_alert_threshold":123,"rate_limit_keys":[{"max":123,"name":"\u003cstring>","window_secs":123}],"rate_limit_max":123,"rate_limit_window_secs":123,"region":"\u003cstring>","result_schema":"\u003cunknown>","retry_delays_secs":[123],"retry_priority_boost":123,"retry_strategy":"\u003cstring>","run_ttl_secs":123,"tags":{},"timezone":"\u003cstring>","updated_by":"\u003cstring>","version_id":"\u003cstring>","version_policy":"\u003cstring>","webhook_url":"\u003cstring>"}],"$schema":"https://api.strait.dev/schemas/BatchCreateJobsResponse.json","errors":[{"index":123,"message":"\u003cstring>"}]}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"},"8bb96771-942e-42d0-be39-492edd52d715":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Bad Request","exampleType":"generated"},"e3e4650a-fccf-4a93-b6db-f9f501a5b80c":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Unauthorized","exampleType":"generated"},"2c98ad21-3061-4c1c-9b1d-e3768c16d088":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Conflict","exampleType":"generated"},"b8fcef32-b878-46d2-b89a-1f078193ee78":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Unprocessable Entity","exampleType":"generated"},"aeeb9e08-9026-41ea-8528-9facb9c0fb1a":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Too Many Requests","exampleType":"generated"},"431c8eba-6642-4ed3-9ae2-19e221094111":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://api.strait.dev/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://api.strait.dev/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Internal Server Error","exampleType":"generated"}},"security":{"d7046ac2-8f46-48e3-9be4-9460235bfb40":{"bearerAuth":{"bearerFormat":"strait_...","description":"API key passed as Bearer token","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"07f0bcb5-7edf-4c9f-90ba-917c1e7bbe5e":{"description":"Production","url":"https://api.strait.dev"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"strait_...","description":"API key passed as Bearer token","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key passed as Bearer token","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://api.strait.dev/reference/openapi.json"},"subdomain":"strait","siteName":"Strait","title":"Batch create jobs - Strait","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-04T06:17:54.221Z","originalFileLocation":"api-reference/jobs/batch-create-jobs.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates multiple jobs in a single request.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Strait\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Batch create jobs - Strait\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates multiple jobs in a single request.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Strait\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://strait.mintlify.app/_mintlify/api/og/v2?division=Jobs\u0026amp;title=Batch+create+jobs\u0026amp;description=Creates+multiple+jobs+in+a+single+request.\u0026amp;theme=9d3b9cab6bd80e4a8affb9db\u0026amp;signature=893d0d3e2edf49a9b65d81230ba4ee9a4bbbc1069aa6c54e8100f61a8e2db011\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Batch create jobs - Strait\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates multiple jobs in a single request.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://strait.mintlify.app/_mintlify/api/og/v2?division=Jobs\u0026amp;title=Batch+create+jobs\u0026amp;description=Creates+multiple+jobs+in+a+single+request.\u0026amp;theme=9d3b9cab6bd80e4a8affb9db\u0026amp;signature=893d0d3e2edf49a9b65d81230ba4ee9a4bbbc1069aa6c54e8100f61a8e2db011\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/strait/rw-ymL6FRyeP0ewF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Strait\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF4F00\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/jobs/batch-create-jobs.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.strait.dev/#organization\",\"name\":\"Strait\",\"url\":\"https://docs.strait.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/strait/9BB686nQtWymcT9B/logo/light.svg?fit=max\u0026auto=format\u0026n=9BB686nQtWymcT9B\u0026q=85\u0026s=8efe0965d2243d8f2ac407dfa472cdc7\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.strait.dev#website\",\"name\":\"Strait\",\"url\":\"https://docs.strait.dev\",\"publisher\":{\"@id\":\"https://docs.strait.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs#webpage\",\"url\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs\",\"name\":\"Batch create jobs\",\"description\":\"Creates multiple jobs in a single request.\",\"dateModified\":\"2026-04-04T06:17:54.221Z\",\"isPartOf\":{\"@id\":\"https://docs.strait.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.strait.dev/api-reference/health/health-check\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Jobs\",\"item\":\"https://docs.strait.dev/api-reference/jobs/list-jobs\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Batch create jobs\",\"item\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs#apireference\",\"headline\":\"Batch create jobs\",\"name\":\"Batch create jobs\",\"description\":\"Creates multiple jobs in a single request.\",\"url\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs\",\"mainEntityOfPage\":{\"@id\":\"https://docs.strait.dev/api-reference/jobs/batch-create-jobs#webpage\"},\"dateModified\":\"2026-04-04T06:17:54.221Z\",\"publisher\":{\"@id\":\"https://docs.strait.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.strait.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Strait\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Strait","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdks/overview"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference Overview","icon":"square-terminal","href":"/api-reference/overview"}]},{"group":"Endpoints","pages":[{"group":"Health","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /health","href":"/api-reference/health/health-check"},{"title":"Readiness check","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /health/ready","href":"/api-reference/health/readiness-check"}]},{"group":"SDK","pages":[{"title":"Annotate a run","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/annotate","href":"/api-reference/sdk/annotate-a-run"},{"title":"Save a checkpoint","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/checkpoint","href":"/api-reference/sdk/save-a-checkpoint"},{"title":"Mark run as complete","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/complete","href":"/api-reference/sdk/mark-run-as-complete"},{"title":"Continue execution","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/continue","href":"/api-reference/sdk/continue-execution"},{"title":"Mark run as failed","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/fail","href":"/api-reference/sdk/mark-run-as-failed"},{"title":"Send a heartbeat","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/heartbeat","href":"/api-reference/sdk/send-a-heartbeat"},{"title":"Record an iteration","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/iteration","href":"/api-reference/sdk/record-an-iteration"},{"title":"Send a log entry","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/log","href":"/api-reference/sdk/send-a-log-entry"},{"title":"List memory entries","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /sdk/v1/runs/{runID}/memory","href":"/api-reference/sdk/list-memory-entries"},{"title":"Get a memory value","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /sdk/v1/runs/{runID}/memory/{key}","href":"/api-reference/sdk/get-a-memory-value"},{"title":"Set a memory value","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/memory/{key}","href":"/api-reference/sdk/set-a-memory-value"},{"title":"Delete a memory value","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /sdk/v1/runs/{runID}/memory/{key}","href":"/api-reference/sdk/delete-a-memory-value"},{"title":"Record an output","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/output","href":"/api-reference/sdk/record-an-output"},{"title":"Get run payload","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /sdk/v1/runs/{runID}/payload","href":"/api-reference/sdk/get-run-payload"},{"title":"Report execution progress","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/progress","href":"/api-reference/sdk/report-execution-progress"},{"title":"Save a resource snapshot","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/resource-snapshot","href":"/api-reference/sdk/save-a-resource-snapshot"},{"title":"Report resource utilization","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/resources","href":"/api-reference/sdk/report-resource-utilization"},{"title":"Spawn a child run","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/spawn","href":"/api-reference/sdk/spawn-a-child-run"},{"title":"List run state","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /sdk/v1/runs/{runID}/state","href":"/api-reference/sdk/list-run-state"},{"title":"Set run state","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/state","href":"/api-reference/sdk/set-run-state"},{"title":"Get a state value","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /sdk/v1/runs/{runID}/state/{key}","href":"/api-reference/sdk/get-a-state-value"},{"title":"Delete a state value","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /sdk/v1/runs/{runID}/state/{key}","href":"/api-reference/sdk/delete-a-state-value"},{"title":"Send a stream chunk","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/stream","href":"/api-reference/sdk/send-a-stream-chunk"},{"title":"Record a tool call","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/tool-call","href":"/api-reference/sdk/record-a-tool-call"},{"title":"Report resource usage","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/usage","href":"/api-reference/sdk/report-resource-usage"},{"title":"Wait for an external event","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /sdk/v1/runs/{runID}/wait-for-event","href":"/api-reference/sdk/wait-for-an-external-event"}]},{"group":"Analytics","pages":[{"title":"Get approval statistics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/approvals","href":"/api-reference/analytics/get-approval-statistics"},{"title":"Get compute cost analytics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/compute","href":"/api-reference/analytics/get-compute-cost-analytics"},{"title":"Get cost insights","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/cost-insights","href":"/api-reference/analytics/get-cost-insights"},{"title":"Get cost analytics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs","href":"/api-reference/analytics/get-cost-analytics"},{"title":"Get cost by machine type","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs/by-machine","href":"/api-reference/analytics/get-cost-by-machine-type"},{"title":"Get cost by trigger type","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs/by-trigger","href":"/api-reference/analytics/get-cost-by-trigger-type"},{"title":"Get cost forecast","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs/forecast","href":"/api-reference/analytics/get-cost-forecast"},{"title":"Get top cost contributors","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs/top","href":"/api-reference/analytics/get-top-cost-contributors"},{"title":"Get cost trends","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/costs/trends","href":"/api-reference/analytics/get-cost-trends"},{"title":"Get event latency","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/events/latency","href":"/api-reference/analytics/get-event-latency"},{"title":"Get event volume","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/events/volume","href":"/api-reference/analytics/get-event-volume"},{"title":"Get runs by job version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/by-version","href":"/api-reference/analytics/get-runs-by-job-version"},{"title":"Get job comparison","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/comparison","href":"/api-reference/analytics/get-job-comparison"},{"title":"Get job cost ranking","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/cost-ranking","href":"/api-reference/analytics/get-job-cost-ranking"},{"title":"Get job reliability","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/reliability","href":"/api-reference/analytics/get-job-reliability"},{"title":"Get top failing jobs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/top-failing","href":"/api-reference/analytics/get-top-failing-jobs"},{"title":"Get job execution history","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/jobs/{jobID}/history","href":"/api-reference/analytics/get-job-execution-history"},{"title":"Get performance analytics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/performance","href":"/api-reference/analytics/get-performance-analytics"},{"title":"Get runs by trigger type","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/runs/by-trigger","href":"/api-reference/analytics/get-runs-by-trigger-type"},{"title":"Get run duration distribution","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/runs/duration-distribution","href":"/api-reference/analytics/get-run-duration-distribution"},{"title":"Get run failure reasons","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/runs/failure-reasons","href":"/api-reference/analytics/get-run-failure-reasons"},{"title":"Get run summary","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/runs/summary","href":"/api-reference/analytics/get-run-summary"},{"title":"Get run timeline","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/runs/timeline","href":"/api-reference/analytics/get-run-timeline"},{"title":"Get tag cost breakdown","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/tags/cost","href":"/api-reference/analytics/get-tag-cost-breakdown"},{"title":"Get tag summary","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/tags/summary","href":"/api-reference/analytics/get-tag-summary"},{"title":"Get top failing tags","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/tags/top-failing","href":"/api-reference/analytics/get-top-failing-tags"},{"title":"Get webhook delivery statistics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/webhooks/delivery-stats","href":"/api-reference/analytics/get-webhook-delivery-statistics"},{"title":"Get webhook endpoint health","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/webhooks/endpoint-health","href":"/api-reference/analytics/get-webhook-endpoint-health"},{"title":"Get top failing webhooks","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/webhooks/top-failing","href":"/api-reference/analytics/get-top-failing-webhooks"},{"title":"Get workflow completion rates","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/workflows/completion-rates","href":"/api-reference/analytics/get-workflow-completion-rates"},{"title":"Get workflow analytics summary","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/workflows/summary","href":"/api-reference/analytics/get-workflow-analytics-summary"},{"title":"Get workflow step durations","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/analytics/workflows/{workflowID}/step-durations","href":"/api-reference/analytics/get-workflow-step-durations"}]},{"group":"Billing","pages":[{"title":"Get anomaly detection config","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/anomaly-config","href":"/api-reference/billing/get-anomaly-detection-config"},{"title":"Update anomaly detection config","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json put /v1/anomaly-config","href":"/api-reference/billing/update-anomaly-detection-config"},{"title":"Check organization limit","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/billing/check-org-limit","href":"/api-reference/billing/check-organization-limit"},{"title":"Get cost estimate","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/cost-estimate","href":"/api-reference/billing/get-cost-estimate"},{"title":"Get downgrade preview","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/downgrade-preview","href":"/api-reference/billing/get-downgrade-preview"},{"title":"Get project budget","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/project-budget","href":"/api-reference/billing/get-project-budget"},{"title":"Update project budget","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json put /v1/project-budget","href":"/api-reference/billing/update-project-budget"},{"title":"Get spending limit","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/spending-limit","href":"/api-reference/billing/get-spending-limit"},{"title":"Update spending limit","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json put /v1/spending-limit","href":"/api-reference/billing/update-spending-limit"},{"title":"Get anomaly alerts","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/anomalies","href":"/api-reference/billing/get-anomaly-alerts"},{"title":"Get current usage","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/current","href":"/api-reference/billing/get-current-usage"},{"title":"Get email preferences","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/email-preferences","href":"/api-reference/billing/get-email-preferences"},{"title":"Update email preferences","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json put /v1/usage/email-preferences","href":"/api-reference/billing/update-email-preferences"},{"title":"Export usage data","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/export","href":"/api-reference/billing/export-usage-data"},{"title":"Get usage forecast","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/forecast","href":"/api-reference/billing/get-usage-forecast"},{"title":"Get usage history","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/history","href":"/api-reference/billing/get-usage-history"},{"title":"Get project costs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/usage/projects","href":"/api-reference/billing/get-project-costs"}]},{"group":"API Keys","pages":[{"title":"List API keys","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/api-keys","href":"/api-reference/api-keys/list-api-keys"},{"title":"Create an API key","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/api-keys","href":"/api-reference/api-keys/create-an-api-key"},{"title":"List expiring API keys","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/api-keys/expiring-soon","href":"/api-reference/api-keys/list-expiring-api-keys"},{"title":"Revoke an API key","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/api-keys/{keyID}","href":"/api-reference/api-keys/revoke-an-api-key"},{"title":"Rotate an API key","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/api-keys/{keyID}/rotate","href":"/api-reference/api-keys/rotate-an-api-key"}]},{"group":"Audit","pages":[{"title":"List audit events","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/audit-events","href":"/api-reference/audit/list-audit-events"},{"title":"Export audit events","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/audit-events/export","href":"/api-reference/audit/export-audit-events"},{"title":"Verify audit chain","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/audit-events/verify","href":"/api-reference/audit/verify-audit-chain"}]},{"group":"Batch Operations","pages":[{"title":"List batch operations","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/batch-operations","href":"/api-reference/batch-operations/list-batch-operations"},{"title":"Get a batch operation","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/batch-operations/{batchID}","href":"/api-reference/batch-operations/get-a-batch-operation"}]},{"group":"Canary Deployments","pages":[{"title":"Create canary deployment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/canary-deployments","href":"/api-reference/canary-deployments/create-canary-deployment"},{"title":"Get canary deployment status","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/workflows/{workflowID}/canary","href":"/api-reference/canary-deployments/get-canary-deployment-status"},{"title":"Update canary traffic","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/workflows/{workflowID}/canary","href":"/api-reference/canary-deployments/update-canary-traffic"},{"title":"Rollback canary deployment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/workflows/{workflowID}/canary/rollback","href":"/api-reference/canary-deployments/rollback-canary-deployment"}]},{"group":"CLI Auth","pages":[{"title":"Request a device authorization code","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/cli/auth/device-code","href":"/api-reference/cli-auth/request-a-device-authorization-code"},{"title":"Poll for device token","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/cli/auth/token","href":"/api-reference/cli-auth/poll-for-device-token"},{"title":"Approve a device code","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/cli/device-codes/approve","href":"/api-reference/cli-auth/approve-a-device-code"}]},{"group":"Deployments","pages":[{"title":"List deployment versions","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/deployments","href":"/api-reference/deployments/list-deployment-versions"},{"title":"Create a deployment version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/deployments","href":"/api-reference/deployments/create-a-deployment-version"},{"title":"Finalize a deployment version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/deployments/{deploymentID}/finalize","href":"/api-reference/deployments/finalize-a-deployment-version"},{"title":"Promote a deployment version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/deployments/{deploymentID}/promote","href":"/api-reference/deployments/promote-a-deployment-version"},{"title":"Rollback a deployment version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/deployments/{deploymentID}/rollback","href":"/api-reference/deployments/rollback-a-deployment-version"}]},{"group":"Environments","pages":[{"title":"List environments","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/environments","href":"/api-reference/environments/list-environments"},{"title":"Create an environment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/environments","href":"/api-reference/environments/create-an-environment"},{"title":"Get an environment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/environments/{envID}","href":"/api-reference/environments/get-an-environment"},{"title":"Delete an environment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/environments/{envID}","href":"/api-reference/environments/delete-an-environment"},{"title":"Update an environment","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/environments/{envID}","href":"/api-reference/environments/update-an-environment"},{"title":"Get resolved variables","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/environments/{envID}/variables","href":"/api-reference/environments/get-resolved-variables"}]},{"group":"Event Sources","pages":[{"title":"List event sources","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/event-sources","href":"/api-reference/event-sources/list-event-sources"},{"title":"Create an event source","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/event-sources","href":"/api-reference/event-sources/create-an-event-source"},{"title":"Get an event source","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/event-sources/{sourceID}","href":"/api-reference/event-sources/get-an-event-source"},{"title":"Delete an event source","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/event-sources/{sourceID}","href":"/api-reference/event-sources/delete-an-event-source"},{"title":"Update an event source","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/event-sources/{sourceID}","href":"/api-reference/event-sources/update-an-event-source"},{"title":"Subscribe to an event source","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/event-sources/{sourceID}/subscribe","href":"/api-reference/event-sources/subscribe-to-an-event-source"},{"title":"List event source subscriptions","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/event-sources/{sourceID}/subscriptions","href":"/api-reference/event-sources/list-event-source-subscriptions"},{"title":"Delete an event subscription","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/event-sources/{sourceID}/subscriptions/{subID}","href":"/api-reference/event-sources/delete-an-event-subscription"}]},{"group":"Events","pages":[{"title":"List event triggers","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/events","href":"/api-reference/events/list-event-triggers"},{"title":"Dispatch an event","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/events/dispatch","href":"/api-reference/events/dispatch-an-event"},{"title":"Send event by prefix","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/events/prefix/{prefix}/send","href":"/api-reference/events/send-event-by-prefix"},{"title":"Purge event triggers","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/events/purge","href":"/api-reference/events/purge-event-triggers"},{"title":"Get event trigger statistics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/events/stats","href":"/api-reference/events/get-event-trigger-statistics"},{"title":"Get an event trigger","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/events/{eventKey}","href":"/api-reference/events/get-an-event-trigger"},{"title":"Cancel an event trigger","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/events/{eventKey}","href":"/api-reference/events/cancel-an-event-trigger"},{"title":"Send an event","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/events/{eventKey}/send","href":"/api-reference/events/send-an-event"},{"title":"Stream event trigger updates","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/events/{eventKey}/stream","href":"/api-reference/events/stream-event-trigger-updates"}]},{"group":"Export","pages":[{"title":"Export jobs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/export/jobs","href":"/api-reference/export/export-jobs"},{"title":"Export runs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/export/runs","href":"/api-reference/export/export-runs"},{"title":"Export workflows","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/export/workflows","href":"/api-reference/export/export-workflows"}]},{"group":"Job Groups","pages":[{"title":"List job groups","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/job-groups","href":"/api-reference/job-groups/list-job-groups"},{"title":"Create a job group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/job-groups","href":"/api-reference/job-groups/create-a-job-group"},{"title":"Get a job group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/job-groups/{groupID}","href":"/api-reference/job-groups/get-a-job-group"},{"title":"Delete a job group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/job-groups/{groupID}","href":"/api-reference/job-groups/delete-a-job-group"},{"title":"Update a job group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/job-groups/{groupID}","href":"/api-reference/job-groups/update-a-job-group"},{"title":"List jobs in a group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/job-groups/{groupID}/jobs","href":"/api-reference/job-groups/list-jobs-in-a-group"},{"title":"Pause all jobs in a group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/job-groups/{groupID}/pause-all","href":"/api-reference/job-groups/pause-all-jobs-in-a-group"},{"title":"Resume all jobs in a group","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/job-groups/{groupID}/resume-all","href":"/api-reference/job-groups/resume-all-jobs-in-a-group"},{"title":"Get job group statistics","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/job-groups/{groupID}/stats","href":"/api-reference/job-groups/get-job-group-statistics"}]},{"group":"Jobs","pages":[{"title":"List jobs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs","href":"/api-reference/jobs/list-jobs"},{"title":"Create a job","description":"Creates a new job with the specified endpoint and configuration.","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs","href":"/api-reference/jobs/create-a-job"},{"title":"Batch create jobs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/batch","href":"/api-reference/jobs/batch-create-jobs"},{"title":"Batch disable jobs","description":"Disables multiple jobs in a single request.","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/batch-disable","href":"/api-reference/jobs/batch-disable-jobs"},{"title":"Batch enable jobs","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/batch-enable","href":"/api-reference/jobs/batch-enable-jobs"},{"title":"Get a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}","href":"/api-reference/jobs/get-a-job"},{"title":"Delete a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/jobs/{jobID}","href":"/api-reference/jobs/delete-a-job"},{"title":"Update a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/jobs/{jobID}","href":"/api-reference/jobs/update-a-job"},{"title":"Clone a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/clone","href":"/api-reference/jobs/clone-a-job"},{"title":"List job dependencies","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}/dependencies","href":"/api-reference/jobs/list-job-dependencies"},{"title":"Create a job dependency","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/dependencies","href":"/api-reference/jobs/create-a-job-dependency"},{"title":"Delete a job dependency","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/jobs/{jobID}/dependencies/{depID}","href":"/api-reference/jobs/delete-a-job-dependency"},{"title":"Get job health","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}/health","href":"/api-reference/jobs/get-job-health"},{"title":"Pause a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/pause","href":"/api-reference/jobs/pause-a-job"},{"title":"Resume a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/resume","href":"/api-reference/jobs/resume-a-job"},{"title":"Trigger a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/trigger","href":"/api-reference/jobs/trigger-a-job"},{"title":"Bulk trigger a job","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/jobs/{jobID}/trigger/bulk","href":"/api-reference/jobs/bulk-trigger-a-job"},{"title":"List job versions","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}/versions","href":"/api-reference/jobs/list-job-versions"},{"title":"Get a job version","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}/versions/{versionID}","href":"/api-reference/jobs/get-a-job-version"}]},{"group":"Log Drains","pages":[{"title":"List log drains","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/log-drains","href":"/api-reference/log-drains/list-log-drains"},{"title":"Create a log drain","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/log-drains","href":"/api-reference/log-drains/create-a-log-drain"},{"title":"Get a log drain","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/log-drains/{drainID}","href":"/api-reference/log-drains/get-a-log-drain"},{"title":"Delete a log drain","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/log-drains/{drainID}","href":"/api-reference/log-drains/delete-a-log-drain"},{"title":"Update a log drain","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/log-drains/{drainID}","href":"/api-reference/log-drains/update-a-log-drain"}]},{"group":"RBAC","pages":[{"title":"List members","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/members","href":"/api-reference/rbac/list-members"},{"title":"Assign a member to a role","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/members","href":"/api-reference/rbac/assign-a-member-to-a-role"},{"title":"Bulk assign members","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/members/bulk","href":"/api-reference/rbac/bulk-assign-members"},{"title":"Remove a member","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/members/{userID}","href":"/api-reference/rbac/remove-a-member"},{"title":"List resource policies","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/resource-policies","href":"/api-reference/rbac/list-resource-policies"},{"title":"Create a resource policy","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/resource-policies","href":"/api-reference/rbac/create-a-resource-policy"},{"title":"Delete a resource policy","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/resource-policies/{policyID}","href":"/api-reference/rbac/delete-a-resource-policy"},{"title":"List roles","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/roles","href":"/api-reference/rbac/list-roles"},{"title":"Create a role","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json post /v1/roles","href":"/api-reference/rbac/create-a-role"},{"title":"Get a role","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json get /v1/roles/{roleID}","href":"/api-reference/rbac/get-a-role"},{"title":"Delete a role","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json delete /v1/roles/{roleID}","href":"/api-reference/rbac/delete-a-role"},{"title":"Update a role","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi.json patch /v1/roles/{roleID}","href":"/api-reference/rbac/update-a-role"},{"title":"Seed system roles","deprecated":null,"version":null,"openapi":"https://api.strait.dev/reference/openapi
[...]
